From bb284a1860fac7f3475707d28aa5677d392e9a8e Mon Sep 17 00:00:00 2001
From: Oliver Pinter <oliver.pntr@gmail.com>
Date: Wed, 2 Apr 2014 16:39:30 +0200
Subject: [PATCH 6/6] PAX ASLR: use the right sysent, before this commit called
 wrong sv_pax_aslr_init

this fixed some compat issues with COMPAT_FREEBSD32 and linuxulator

Signed-off-by: Oliver Pinter <oliver.pntr@gmail.com>
---
 sys/kern/kern_pax.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sys/kern/kern_pax.c b/sys/kern/kern_pax.c
index 3be9b47..fe546f4 100644
--- a/sys/kern/kern_pax.c
+++ b/sys/kern/kern_pax.c
@@ -552,8 +552,8 @@ pax_aslr_init(struct thread *td, struct image_params *imgp)
 
     vm = imgp->proc->p_vmspace;
 
-    if (imgp->proc->p_sysent->sv_pax_aslr_init != NULL) {
-	    imgp->proc->p_sysent->sv_pax_aslr_init(vm, pr);
+    if (imgp->sysent->sv_pax_aslr_init != NULL) {
+	    imgp->sysent->sv_pax_aslr_init(vm, pr);
     }
 }
 
-- 
1.9.0

